# $Revision: 1.11 $, $Date: 2010/11/10 14:04:58 $
Summary:	Reading and writing config files
Summary(pl.UTF-8):	Odczyt i zapis plików konfiguracyjnych
Name:		python-configobj
Version:	4.7.2
Release:	2
License:	MIT
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/configobj/configobj-%{version}.zip
# Source0-md5:	51cee395cfbf831339b03f72706de18e
URL:		http://www.voidspace.org.uk/python/configobj.html
BuildRequires:	python-devel >= 1:2.3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	unzip
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Reading and writing config files.

%description -l pl.UTF-8
Odczyt i zapis plików konfiguracyjnych.

%prep
%setup -q -n configobj-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-configobj.spec,v $
Revision 1.11  2010/11/10 14:04:58  shadzik
- rel 2

Revision 1.10  2010/11/05 11:34:39  caleb
- Up to 4.7.2

Revision 1.9  2010/07/08 08:04:47  arekm
- release 3

Revision 1.8  2010/02/12 15:41:00  glen
- release 2

Revision 1.7  2008/11/21 22:28:41  charles
- BR: unzip

Revision 1.6  2008/10/07 21:33:35  dzeus
- up to 4.5.3

Revision 1.5  2008/10/03 17:47:36  arekm
- release 2

Revision 1.4  2008-04-14 21:29:53  qboosh
- pl, BR: pythonprov

Revision 1.3  2008-02-06 16:54:01  glen
- macros for %py_postclean

Revision 1.2  2008-02-06 16:52:23  twittner
- up to 4.5.0
- use macro for removing *.py
- working source URL

Revision 1.1  2007-12-26 19:08:48  patrys
- initial PLD release
